Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libdwarf: new aport

From: David Huffman <storedbox_at_outlook.com>
Date: Thu, 7 Jan 2016 01:44:25 -0500

http://libdwarf.sourceforge.net
A library and a set of tools for reading and writing DWARF2 and later debugging information
---
 testing/libdwarf/APKBUILD | 61 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)
 create mode 100644 testing/libdwarf/APKBUILD
diff --git a/testing/libdwarf/APKBUILD b/testing/libdwarf/APKBUILD
new file mode 100644
index 0000000..bfa9eac
--- /dev/null
+++ b/testing/libdwarf/APKBUILD
_at_@ -0,0 +1,61 @@
+# Contributor: David Huffman <storedbox_at_outlook.com>
+# Maintainer: David Huffman <storedbox_at_outlook.com>
+pkgname=libdwarf
+pkgver=20150507
+pkgrel=0
+pkgdesc="Parsing library for DWARF2 and later debugging file format"
+url="http://libdwarf.sourceforge.net"
+arch="all"
+license="LGPL2+"
+depends="libelf"
+depends_dev="libelf-dev"
+makedepends="$depends_dev"
+subpackages="$pkgname-dev dwarf-tools dwarf-tools-doc"
+source="https://github.com/Distrotech/libdwarf/archive/$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr --enable-shared || return 1
+	make && make -C dwarfgen || return 1
+}
+
+package() {
+	local bindir="$pkgdir/usr/bin"
+	local docdir="$pkgdir/usr/share/doc/dwarf-tools"
+	local incdir="$pkgdir/usr/include/libdwarf"
+	local libdir="$pkgdir/usr/lib"
+	local man1dir="$pkgdir/usr/share/man/man1"
+	mkdir -p "$bindir" "$docdir" "$incdir" "$libdir" "$man1dir"
+
+	cd "$_builddir/libdwarf"
+	cp dwarf.h libdwarf.h "$incdir"
+	cp libdwarf.a libdwarf.so "$libdir"
+
+	cd "$_builddir/dwarfdump"
+	cp dwarfdump "$bindir"
+	cp COPYING "$docdir/dwarfdump.COPYING"
+	cp dwarfdump.conf "$libdir"
+	cp dwarfdump.1 "$man1dir"
+
+	cd "$_builddir/dwarfgen"
+	cp dwarfgen "$bindir"
+	cp COPYING "$docdir/dwarfgen.COPYING"
+	cp dwarfgen.1 "$man1dir"
+}
+
+tools() {
+	license="GPL2 BSD"
+	pkgdesc="Tools for interacting with DWARF2 and later debugging files"
+
+	local bin="usr/bin"
+	local lib="usr/lib"
+
+	mkdir -p "$subpkgdir/$lib"
+	mv "$pkgdir/$bin" "$subpkgdir/$bin"
+	mv "$pkgdir/$lib/dwarfdump.conf" "$subpkgdir/$lib"
+}
+
+md5sums="7b80e1c717850de6ca003d1e909b588c  libdwarf-20150507.tar.gz"
+sha256sums="57fecc3d2024ba41d6b0dc428741d47f7f4834e27345fb66a31aeb54da124803  libdwarf-20150507.tar.gz"
+sha512sums="4619be006bd5b7d8ac8ce43544fb1b8b38461eee9dac21dc00e20476ca2f2a9266e70c94adcab06159d58dbc9cd88e17b19947010662165646b862af1b045e43  libdwarf-20150507.tar.gz"
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jan 07 2016 - 01:44:25 GMT